<?php

    require_once(dirname(__FILE__).'/API.php');
    require_once(dirname(__FILE__).'/cfg.inc.php');
    require_once(dirname(__FILE__).'/apiwrapper.inc.php');

    // Check domain; continue to next form only when domain is free
    if ($_POST['submit'] == 'Check') {
        APIConnect();
        if (APICheckDomain($_POST)) {
            header('Location: customercreation.php?domain='.$_POST['domain'].'&extension='.$_POST['extension']);
            exit;
        }
        else {
            $error = 'Domain is not available for registration';
        }
    }

?>

<html>
    <head>
        <title>Domain registration - Check availability</title>
    </head>
    
    <body>
        <h1>Check availability domain</h1>
        <?php
            // Show error if there is one
            if (isset($error)) {
                echo '<strong>'.$error.'</strong>';
            }
        ?>
        <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
            <table>
                <tr>
                    <td>Domain name (without extension and www):</td>
                    <td><input type="text" name="domain" value="<?php if (isset($_POST['domain'])) echo $_POST['domain']; ?>"/></td>
                </tr>
                <tr>
                    <td>Extension:</td>
                    <td>
                        <select name="extension">
                            <option value="">Choose</option>
                            <?php
                                foreach ($cfg['extensions'] as $ext) {
                                    echo '<option value="'.$ext.'"'.((isset($_POST['extension']) && ($_POST['extension'] == $ext)) ? ' selected' : '').'>'.$ext.'</option>';
                                }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><input type="submit" name="submit" value="Check" /></td>
                </tr>
            </table>
        </form>
    </body>
</html>